# Interface methods for submodule: CommandIterationUpdatev4ExhaustiveOptimizerv4
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import CommandProxy as _CommandProxy


# Interface methods for class: CommandIterationUpdatev4ExhaustiveOptimizerv4
class CommandIterationUpdatev4ExhaustiveOptimizerv4Proxy(_CommandProxy):
	@overload
	def Execute(self, caller, event) -> None:
		""""""
		...

	@overload
	def Execute(self, arg0, event) -> None:
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetOptimizer(self, optimizer) -> None:
		""""""
		...

	def SetPrintParameters(self, _arg: bool) -> None:
		""""""
		...

	def GetPrintParameters(self) -> bool:
		""""""
		...

	def PrintParametersOn(self) -> None:
		""""""
		...

	def PrintParametersOff(self) -> None:
		""""""
		...

